%define DISTDIR	/opt

Summary: Mozilla Firefox Web Browser
Name: firefox
Version: 5.0.1
Release: b1
License: MPL/LGPL
Group: Applications/Internet
Source: %{name}-%{version}.tar.bz2
Source2: firefox.desktop
URL: http://www.mozilla.org/projects/firefox/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArchitectures: i686
NoSource: 0

%description
Mozilla Firefox is an open-source web browser, designed for standards
compliance, performance and portability.


%prep
rm -rf $RPM_BUILD_ROOT
%setup -c -q
#rm libnss3.so libnssckbi.so libplc4.so libplds4.so libsmime3.so
#rm libsoftokn3.* libssl3.so
# libraries provide mozilla-nss,nspr
#rm firefox-bin.elf
#ln -s firefox-bin firefox-bin.elf
#rm firefox/{README.txt,removed-files,old-homepage-default.properties}
#rm firefox/{README.txt,removed-files,LICENSE}
rm firefox/{README.txt,removed-files}

%{__cat} <<EOF >bookmarks.html
<!DOCTYPE NETSCAPE-Bookmark-file-1>
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
<TITLE>Bookmarks</TITLE>
<H1>Bookmarks</H1>

<DL><p>
	<DT><H3 PERSONAL_TOOLBAR_FOLDER="true" ID="NC:PersonalToolbarFolder">Personal Toolbar Folder</H3>
	<DL><p>
	<DT><A HREF="http://rberry.co.cc/berry/">Berry Linux</A>
	<DT><A HREF="http://www.google.com/">Google</A>
	<DT><A HREF="http://www.yahoo.com/">Yahoo!</A>
	<DT><A HREF="http://rberry.co.cc/whiz/whiz.html">Whiz Openlab</A>
	<DT><A HREF="http://www.yahoo.co.jp/">Yahoo! Japan</A>
	<DT><A FEEDURL="http://www.usfl.com/rss/usfl.rdf">U.S. FrontLine</A>
	<DT><A FEEDURL="http://weather.livedoor.com/forecast/rss/index.xml">天気予報</A>
	<DT><A FEEDURL="http://feeds.asahi.com/asahi/TopHeadlines">朝日新聞</A>
	<DT><A FEEDURL="http://www.nytimes.com/services/xml/rss/nyt/HomePage.xml">Newyork Times</A>
	<DT><A HREF="http://www.fileminx.com/">Fileminx</A>
	<DT><A HREF="http://wordmark.it/">wordmark.it</A>
	<DT><A HREF="http://rome.adobe.com/APP/index.html">Project ROME</A>
	<DT><A HREF="http://www.cloud-canvas.com/cloudcanvas.php">Cloud Canvas</A>
	<DT><A HREF="http://www.googleartproject.com/">Art Project</A>
	<DT><A HREF="http://www.mapcrunch.com/">MapCrunch</A>
	<DT><A HREF="http://www.360cities.net/">360 Cities</A>
	<DT><A HREF="http://viewer.zoho.com/">Zoho Viewer</A>
	</DL><p>
	<HR>
</DL><p>
EOF

%{__cat} <<'EOF' >firefox.sh
#!/bin/sh
MOZILLA_FIVE_HOME="%{DISTDIR}/firefox"
MOZ_PROGRAM="$MOZILLA_FIVE_HOME/firefox"

MOZARGS=""
MOZLOCALE="$(echo $LANG | sed 's|_\([^.]*\).*|-\1|g')"
#if [ -f "$MOZILLA_FIVE_HOME/chrome/$MOZLOCALE.jar" ]; then
	MOZARGS="-UILocale $MOZLOCALE"
#fi

exec $MOZ_PROGRAM $MOZARGS $@
EOF


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT{%{DISTDIR}/firefox,%{_bindir}}
cp -a firefox/* $RPM_BUILD_ROOT%{DISTDIR}/firefox

%{__install} -D -m0755 firefox.sh %{buildroot}%{_bindir}/firefox
#ln -s /opt/firefox/firefox %{buildroot}%{_bindir}/firefox
#%{__install} -D -m0644 %{SOURCE2} %{buildroot}%{_datadir}/pixmaps/firefox.png

mkdir -p %{buildroot}%{DISTDIR}/firefox/defaults/profile/
%{__install} -m0644 bookmarks.html %{buildroot}%{DISTDIR}/firefox/defaults/profile/
##%{__install} -m0644 bookmarks.html %{buildroot}%{DISTDIR}/firefox/defaults/profile/US/

#%{__install} -D -m0755 %{SOURCE1} %{buildroot}%{DISTDIR}/firefox/firefox-rebuild-databases.pl
#%{__perl} -pi -e 's|\$MOZ_DIST_BIN|%{DISTDIR}/firefox|g;' %{buildroot}%{DISTDIR}/firefox/firefox-rebuild-databases.pl

mkdir -p %{buildroot}/usr/share/applications/
%{__install} -m0644 %{SOURCE2} %{buildroot}/usr/share/applications/

# about:config
cat >> %{buildroot}%{DISTDIR}/%{name}/defaults/pref/firefox.js << EOM

pref("browser.sessionhistory.max_total_viewers", 2);
pref("browser.cache.memory.capacity", 8192);
pref("network.dns.disableIPv6", true);
EOM
#sed -e "s!http://%LOCALE%.www.mozilla.com/%LOCALE%/%APP%/%VERSION%/whatsnew/!http://www.aec1984.com/berry/!" -i %{buildroot}%{DISTDIR}/%{name}/defaults/pref/firefox-branding.js
#sed -e "s!http://%LOCALE%.www.mozilla.com/%LOCALE%/%APP%/%VERSION%/firstrun/!http://yui.mine.nu/berry/!" -i %{buildroot}%{DISTDIR}/%{name}/defaults/pref/firefox-branding.js


%post
/sbin/ldconfig 2>/dev/null
%{DISTDIR}/firefox/firefox-rebuild-databases.pl &>/dev/null || :

### Work around for creating extensions directory
unset DISPLAY
%{DISTDIR}/firefox/firefox --help &>/dev/null || :

#pushd %{DISTDIR}/firefox/
#for library in lib*.[cs][ho]*; do
#	mv -u %{DISTDIR}/firefox/${library} /usr/lib/${library}
#	rm %{DISTDIR}/firefox/${library} 2>/dev/null
#done
#popd

%postun
/sbin/ldconfig 2>/dev/null
if [ $1 -gt 1 ]; then
	%{DISTDIR}/firefox/firefox-rebuild-databases.pl &>/dev/null || :
fi
#for f in /usr/lib/*; do
#	[ -f "$f" -a ! -s "$f" ] && rm "$f"
#done

%preun
if [ $1 -eq 0 ]; then
	%{__rm} -rf %{DISTDIR}/firefox/{chrome/overlayinfo/,components/}
	%{__rm} -f %{DISTDIR}/firefox/chrome/*.rdf
fi

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-, root, root, 0755)
%{_bindir}/firefox
/opt/firefox
/usr/share/applications/


%changelog
* Mon Jul 25 2011 Yuichiro Nakada <berry@rberry.co.cc>
- Update to 5.0.1
* Fri May 20 2011 Yuichiro Nakada <berry@rberry.co.cc>
- Update to 4.0.1
* Wed Mar 23 2011 Yuichiro Nakada <berry@rberry.co.cc>
- Update to 4.0
* Mon Mar 7 2011 Yuichiro Nakada <berry@rberry.co.cc>
- Update to 3.6.15
* Sat Dec 11 2010 Yuichiro Nakada <berry@rberry.co.cc>
- Update to 3.6.13
* Thu Sep 16 2010 Yuichiro Nakada <berry@rberry.co.cc>
- Update to 3.6.10
* Fri Jul 30 2010 Yuichiro Nakada <berry@rberry.co.cc>
- Update to 3.6.8
* Thu Jul 15 2010 Yuichiro Nakada <berry@rberry.co.cc>
- Update to 3.6.6
* Fri Jun 25 2010 Yuichiro Nakada <berry@rberry.co.cc>
- Update to 3.6.4
* Thu Apr 8 2010 Yuichiro Nakada <berry@rberry.co.cc>
- Update to 3.6.3
* Tue Jan 26 2010 Yuichiro Nakada <berry@rberry.co.cc>
- Update to 3.6
* Fri Jan 8 2010 Yuichiro Nakada <berry@rberry.co.cc>
- Update to 3.5.7
* Fri Dec 25 2009 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 3.5.6
* Sat Nov 14 2009 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 3.5.5
* Thu Oct 29 2009 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 3.5.4
* Sat Sep 12 2009 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 3.5.3
* Tue Aug 4 2009 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 3.5.2
* Thu Jul 30 2009 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 3.5.1
* Fri Jul 10 2009 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 3.5
* Thu Jun 4 2009 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 3.0.10
* Tue Mar 31 2009 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 3.0.8
* Thu Mar 19 2009 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 3.0.7
* Mon Mar 2 2009 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 3.0.6
* Mon Dec 29 2008 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 3.0.5
* Mon Nov 24 2008 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 3.0.4
* Sat Sep 27 2008 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 3.0.3
* Fri Jun 20 2008 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 3.0
* Tue Jul 20 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
